Devices
Get device
GET
/
v1
/
devices
/
{id}
Get device
curl --request GET \
--url https://sand-api.orquestr.dev/cloud/v1/devices/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sand-api.orquestr.dev/cloud/v1/devices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sand-api.orquestr.dev/cloud/v1/devices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "d7777777-7777-7777-7777-777777777777",
"customer_id": "o2222222-2222-2222-2222-222222222222",
"license_id": "l6666666-6666-6666-6666-666666666666",
"adapter": "sicarv4",
"name": "Caja 1",
"status": "enrolled",
"agent_version": "1.4.2",
"last_seen_at": "2026-09-15T17:55:00.000Z",
"created_at": "2026-09-15T18:00:00.000Z",
"updated_at": "2026-09-15T17:55:00.000Z",
"external_device_id": "caja-1"
}
}{
"error": {
"code": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"code": "not_found",
"message": "Not found"
}
}⌘I
Get device
curl --request GET \
--url https://sand-api.orquestr.dev/cloud/v1/devices/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sand-api.orquestr.dev/cloud/v1/devices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sand-api.orquestr.dev/cloud/v1/devices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "d7777777-7777-7777-7777-777777777777",
"customer_id": "o2222222-2222-2222-2222-222222222222",
"license_id": "l6666666-6666-6666-6666-666666666666",
"adapter": "sicarv4",
"name": "Caja 1",
"status": "enrolled",
"agent_version": "1.4.2",
"last_seen_at": "2026-09-15T17:55:00.000Z",
"created_at": "2026-09-15T18:00:00.000Z",
"updated_at": "2026-09-15T17:55:00.000Z",
"external_device_id": "caja-1"
}
}{
"error": {
"code": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"code": "not_found",
"message": "Not found"
}
}
